/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workcontractinfo.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

import java.util.Date;

/**
 * 合同管理Entity
 * @author 丁旭
 * @version 2017-03-21
 */
public class WorkContractAnnex extends DataEntity<WorkContractAnnex> {
	
	private static final long serialVersionUID = 1L;
	private String name;		// 文件名称
	private String url;		// 文件地址

	private Date createDate;
	private Date updataDate;
	private String contractNoId;
 	private String remarks;

	@Override
	public String getRemarks() {
		return remarks;
	}

	@Override
	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}

	@Override
	public Date getCreateDate() {
		return createDate;
	}

	@Override
	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}

	public Date getUpdataDate() {
		return updataDate;
	}

	public void setUpdataDate(Date updataDate) {
		this.updataDate = updataDate;
	}

	public String getContractNoId() {
		return contractNoId;
	}

	public void setContractNoId(String contractNoId) {
		this.contractNoId = contractNoId;
	}

	public static long getSerialVersionUID() {

		return serialVersionUID;
	}

	private WorkContractInfo contractId;		// 合同ID 父类
	
	public WorkContractAnnex() {
		super();
	}

	public WorkContractAnnex(String id){
		super(id);
	}

	public WorkContractAnnex(WorkContractInfo contractId){
		this.contractId = contractId;
	}

	@ExcelField(title="文件名称", align=2, sort=6)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	@ExcelField(title="文件地址", align=2, sort=7)
	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}
	
	public WorkContractInfo getContractId() {
		return contractId;
	}

	public void setContractId(WorkContractInfo contractId) {
		this.contractId = contractId;
	}
	
}